=== vendor/lz4/CMakeLists.txt ===
add_library(lz4 OBJECT lz4/lz4.c)
