=== debian/changelog ===
ros-noetic-iris-lama (1.3.1-1focal) focal; urgency=high

  * Fix armhf compilation

 -- Eurico Pedrosa <efp@ua.pt>  Thu, 01 Sep 2022 23:00:00 -0000

ros-noetic-iris-lama (1.3.0-1focal) focal; urgency=high

  * Switch to plain cmake instead of a catkin based
  * Several performance improvements
  * Add a 2D slam solution based on pose graph optimization
  * Add read support for more image types thanks to stb_image.h
  * Add IO to the map data structure
  * Introduce transient mapping to slam2d
  * Reduce memory usage of the dynamic distance map by ~30%
  * Fix a bug where some cells in the dynamic distance map were not update correctly

 -- Eurico Pedrosa <efp@ua.pt>  Wed, 31 Aug 2022 23:00:00 -0000

ros-noetic-iris-lama (1.2.0-1focal) focal; urgency=high

  * Expose localization covariance

 -- Eurico Pedrosa <efp@ua.pt>  Fri, 09 Apr 2021 23:00:00 -0000

ros-noetic-iris-lama (1.1.0-1focal) focal; urgency=high

  * Expose the global localization parameters as options
  * Add option to mark free cells when there is no hit in SLAM (i.e. truncated ranges)
  * Add non-motion update trigger to location
  * Fix infinite loop in global localization
  * Use C++14
  * Fix eigen aligment issues

 -- Eurico Pedrosa <efp@ua.pt>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-iris-lama (1.0.0-1focal) focal; urgency=high

  * First official release.

 -- Eurico Pedrosa <efp@ua.pt>  Mon, 04 May 2020 23:00:00 -0000
